Skip to content

Retrieve a brand

Request

Fetches a specific brand by its unique identifier

Security
bearerAuth
Path
idstringrequired

The unique identifier of the brand

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  'https://api.intercom.io/brands/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

Successful response

Bodyapplication/json
typestring

The type of object

Example:"brand"
idstring

Unique brand identifier. For default brand, matches the workspace ID

Example:"10"
namestring

Display name of the brand

Example:"Default Brand"
is_defaultboolean

Whether this is the workspace's default brand

Example:true
created_atinteger, (date-time)

Unix timestamp of brand creation

Example:1673778600
updated_atinteger, (date-time)

Unix timestamp of last modification

Example:1711031100
help_center_idstring

Associated help center identifier

Example:"10"
default_address_settings_idstring

Default email settings ID for this brand

Example:"15"
Response
{ "type": "brand", "id": "15", "name": "Premium Brand", "is_default": false, "created_at": 1686387300, "updated_at": 1709229600, "help_center_id": "20", "default_address_settings_id": "15" }